Oracle JRockit R28.3.16 Multiple Vulnerabilities (January 2018 CPU)

High Nessus Plugin ID 106139


A programming platform installed on the remote Windows host is affected by multiple vulnerabilities.


The version of Oracle JRockit installed on the remote Windows host is R28.3.16. It is, therefore, affected by multiple vulnerabilities. See advisory for details.


Upgrade to Oracle JRockit version R28.3.17 or later as referenced in the January 2018 Oracle Critical Patch Update advisory.

See Also

Plugin Details

Severity: High

ID: 106139

File Name: oracle_jrockit_cpu_jan_2018.nasl

Version: $Revision: 1.2 $

Type: local

Agent: windows

Family: Windows

Published: 2018/01/18

Modified: 2018/01/19

Dependencies: 69304

Risk Information

Risk Factor: High


Base Score: 7.6

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 8.3

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:jrockit

Required KB Items: installed_sw/Oracle JRockit

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2018/01/16

Vulnerability Publication Date: 2017/11/29

Reference Information

CVE: CVE-2018-2588, CVE-2018-2599, CVE-2018-2603, CVE-2018-2618, CVE-2018-2629, CVE-2018-2633, CVE-2018-2637, CVE-2018-2657, CVE-2018-2663, CVE-2018-2675, CVE-2018-2678, CVE-2018-2579

BID: 102557, 102576, 102612, 102615, 102625, 102629, 102633, 102659, 102661, 102662, 102670, 102675

OSVDB: 172895, 172898, 172907, 172908, 172914, 172915, 172916, 172917, 172918, 172919, 172922

IAVA: 2018-A-0031